NEWARRAY (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.generic.NEWARRAY class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class NEWARRAY

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.NEWARRAY

All Implemented Interfaces:
  Serializable, Cloneable, AllocationInstruction, ExceptionThrower, StackProducer

    public class NEWARRAY

extends Instruction
implements AllocationInstruction, ExceptionThrower, StackProducer

NEWARRAY - Create new array of basic type (int, short, ...)

    Stack: ..., count -> ..., arrayref

type must be one of T_INT, T_SHORT, ...

Version:
  $Id: NEWARRAY.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`NEWARRAY(BasicType type)`
`NEWARRAY(byte type)`

Method Summary
`void` | `accept(Visitor v)` Call corresponding visitor method(s).
`void` | `dump(DataOutputStream out)` Dump instruction as byte code to stream out.
`Class[]` | `getExceptions()`
`Type` | `getType()`
`byte` | `getTypecode()`
`protected void` | `initFromFile(ByteSequence bytes, boolean wide)` Read needed data (e.g.
`String` | `toString(boolean verbose)` Long output format: <name of opcode> "["<opcode number>"]" "("<length of instruction>")"

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Constructor Detail

### NEWARRAY

    public NEWARRAY(byte type)

### NEWARRAY

    public NEWARRAY(BasicType type)

Method Detail

### dump

    public void dump(DataOutputStream out)
              throws IOException

  Dump instruction as byte code to stream out.

  Overrides:
    `dump` in class `Instruction`
  Parameters:
    `out` - Output stream
  Throws:
    `IOException`

### getTypecode

    public final byte getTypecode()

  Returns:
    numeric code for basic element type

### getType

    public final Type getType()

  Returns:
    type of constructed array

### toString

    public String toString(boolean verbose)

  Description copied from class: `Instruction`
  Long output format: <name of opcode> "["<opcode number>"]" "("<length of instruction>")"

  Overrides:
    `toString` in class `Instruction`
  Parameters:
    `verbose` - long/short format switch
  Returns:
    mnemonic for instruction

### initFromFile

    protected void initFromFile(ByteSequence bytes,
                                boolean wide)
                         throws IOException

  Read needed data (e.g. index) from file.

  Overrides:
    `initFromFile` in class `Instruction`
  Parameters:
    `bytes` - byte sequence to read from
    `wide` - "wide" instruction flag
  Throws:
    `IOException`

### getExceptions

    public Class[] getExceptions()

  Specified by:
    `getExceptions` in interface `ExceptionThrower`

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.